#!/bin/sh

echo "This script is mainly for tracking where the icons came from."
exit 0

# ok so it's gnome+pidgin+firefox

base="/usr/share/icons/gnome"

#OP="ln -s"
OP="cp -v"

$OP /usr/share/pixmaps/pidgin/toolbar/16/transfer.png      back.png
$OP /usr/share/pixmaps/pidgin/status/16/available.png      ball_green.png
$OP /usr/share/pixmaps/pidgin/status/16/offline.png        ball_red.png
$OP /usr/share/pixmaps/pidgin/status/16/away.png           ball_yellow.png
$OP $base/16x16/actions/bookmark-new.png                   bookmark_add.png
$OP $base/16x16/emblems/emblem-favorite.png                bookmark_folder.png
$OP $base/16x16/apps/preferences-desktop-locale.png        choose-language.png
$OP $base/22x22/categories/preferences-desktop.png         configure_22x22.png
$OP $base/32x32/categories/preferences-desktop.png         configure_32x32.png
$OP $base/16x16/categories/preferences-desktop.png         configure.png
$OP $base/16x16/actions/go-next.png                        connect.png
$OP $base/16x16/actions/edit-redo.png                      connect_creating.png
$OP $base/16x16/status/network-transmit-receive.png        connected.png
$OP $base/16x16/actions/process-stop.png                   connect_no.png

# with recent gnome (2.24), it looks appropriate for download
$OP $base/16x16/actions/document-save.png                  download.png
$OP $base/16x16/actions/document-save-as.png               download_as.png

# colors rotated to green, increased brightness+contrast
#$OP $base/16x16/actions/go-down.png                        down.png

$OP $base/16x16/actions/document-new.png                   editadd.png
$OP $base/16x16/actions/edit-copy.png                      editcopy.png
$OP $base/16x16/actions/edit-delete.png                    editdelete.png
$OP $base/16x16/actions/gtk-edit.png                       edit.png
# emoticon.png in default was from gnome to match the simple emoticon theme
$OP $base/16x16/actions/application-exit.png               exit.png
$OP $base/16x16/actions/window-close.png                   fileclose.png
$OP $base/16x16/actions/edit-find.png                      filefind.png
$OP $base/16x16/mimetypes/application-x-executable.png     filetype-application.png
$OP $base/16x16/mimetypes/package-x-generic.png            filetype-archive.png
$OP $base/16x16/mimetypes/audio-x-generic.png              filetype-audio.png
$OP $base/16x16/mimetypes/text-x-generic.png               filetype-document.png
$OP $base/16x16/mimetypes/image-x-generic.png              filetype-picture.png
$OP $base/16x16/mimetypes/text-x-preview.png               filetype-unknown.png
$OP $base/16x16/mimetypes/video-x-generic.png              filetype-video.png
$OP $base/22x22/actions/system-search.png                  find_22x22.png
$OP $base/32x32/actions/system-search.png                  find_32x32.png
$OP $base/16x16/actions/system-search.png                  find.png
#                                                            all the flags
$OP $base/16x16/status/folder-open.png                     folder_blue_open.png
$OP $base/16x16/places/folder.png                          folder_blue.png

# edited, leaving just the color
#$OP $base/16x16/places/folder-saved-search.png            folder_red.png

$OP $base/16x16/categories/applications-internet.png       globe.png
# gv_xpm is embedded in the source and no longer installed
$OP $base/16x16/actions/help-contents.png                  help.png
$OP $base/16x16/status/dialog-information.png              info.png
$OP $base/16x16/status/mail-unread.png                     message.png

# two other right-pointing arrows are already used, luckily this one is good for "find next"
$OP $base/16x16/actions/go-jump.png                        next.png

$OP $base/16x16/status/network-offline.png                 notconnected.png
$OP $base/16x16/actions/document-open.png                  open.png
$OP $base/16x16/actions/media-playback-pause.png           player_pause.png
$OP $base/16x16/actions/media-playback-start.png           player_play.png
$OP $base/22x22/actions/view-refresh.png                   reload_22x22.png
$OP $base/32x32/actions/view-refresh.png                   reload_32x32.png
$OP $base/16x16/actions/view-refresh.png                   reload.png
$OP $base/16x16/devices/media-floppy.png                   save.png
$OP $base/32x32/places/network-server.png                  server.png

# err... other themes think ascending is the down arrow...
$OP $base/16x16/actions/view-sort-descending.png           sort-down-arrow.png

$OP $base/32x32/apps/logviewer.png                         spy.png # not great, also considered utilities-system-monitor.png
$OP $base/16x16/status/security-low.png                    ssl_no.png
$OP $base/16x16/status/security-high.png                   ssl_yes.png
$OP $base/16x16/actions/edit-select-all.png                text-select-all.png

# edited, based on firefox downloads icon
# /usr/lib/xulrunner-1.9/chrome/classic.jar /skin/classic/mozapps/downloads/downloadIcon.png
# mozilla tri-license includes GPLv2+
#$OP $base/32x32/emblems/emblem-downloads.png              transfer.png

$OP $base/16x16/actions/insert-text.png                    translate.png

# colors rotated to red, increased brightness+contrast
#$OP $base/16x16/actions/go-up.png                         up.png

$OP $base/16x16/actions/object-rotate-left.png             update.png # basically a down arrow
$OP $base/22x22/mimetypes/x-office-address-book.png        users_22x22.png
$OP $base/32x32/mimetypes/x-office-address-book.png        users_32x32.png
$OP $base/16x16/mimetypes/x-office-address-book.png        users.png
$OP $base/16x16/apps/system-file-manager.png               view_sidetree.png # this icon is for download filelist
$OP $base/16x16/actions/zoom-in.png                        zoom-in.png
$OP $base/16x16/actions/zoom-out.png                       zoom-out.png
